Resources - Resources

İstekte belirtilen kapsamlar için Azure Resource Manager tarafından yönetilen kaynakları sorgular.

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

URI Parametreleri

Name İçinde Gerekli Tür Description
api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
query True

string

Kaynaklar sorgusu.

facets

FacetRequest[]

Sorgu sonucuna göre hesaplanacak model istekleri dizisi.

managementGroups

string[]

Sorgunun yürütülecek Azure yönetim grupları. Örnek: [ 'mg1', 'mg2' ]

options

QueryRequestOptions

Sorgu değerlendirme seçenekleri

subscriptions

string[]

Sorgunun yürütüldiği Azure abonelikleri.

Yanıtlar

Name Tür Description
200 OK

QueryResponse

İstek başarılı oldu.

Other Status Codes

ResourceGraphCommon.ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Access a properties field
Basic management group query
Basic query
Basic tenant query
Complex query
Filter resources
First page query
Next page query
Query with a facet request
Random page query
Summarize resources by location

Access a properties field

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | where type =~ 'Microsoft.Compute/virtualMachines' | summarize count() by tostring(properties.storageProfile.osDisk.osType)",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 2,
  "data": [
    {
      "count": 7,
      "properties_storageProfile_osDisk_osType": "Linux"
    },
    {
      "count": 23,
      "properties_storageProfile_osDisk_osType": "Windows"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 2
}

Basic management group query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "managementGroups": [
    "e927f598-c1d4-4f72-8541-95d83a6a4ac8",
    "ProductionMG"
  ],
  "query": "Resources | project id, name, type, location, tags | limit 3"
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "name": "myNetworkInterface",
      "type": "microsoft.network/networkinterfaces",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Network/networkInterfaces/myNetworkInterface",
      "location": "centralus",
      "tags": {
        "tag1": "Value1"
      }
    },
    {
      "name": "myVnet",
      "type": "microsoft.network/virtualnetworks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/virtualNetworks/myVnet",
      "location": "westus",
      "tags": {}
    },
    {
      "name": "myPublicIp",
      "type": "microsoft.network/publicipaddresses",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/publicIPAddresses/myPublicIp",
      "location": "westus",
      "tags": {}
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

Basic query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | project id, name, type, location, tags | limit 3",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "name": "myNetworkInterface",
      "type": "microsoft.network/networkinterfaces",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Network/networkInterfaces/myNetworkInterface",
      "location": "centralus",
      "tags": {
        "tag1": "Value1"
      }
    },
    {
      "name": "myVnet",
      "type": "microsoft.network/virtualnetworks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/virtualNetworks/myVnet",
      "location": "westus",
      "tags": {}
    },
    {
      "name": "myPublicIp",
      "type": "microsoft.network/publicipaddresses",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/publicIPAddresses/myPublicIp",
      "location": "westus",
      "tags": {}
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

Basic tenant query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | project id, name, type, location, tags | limit 3"
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "name": "myNetworkInterface",
      "type": "microsoft.network/networkinterfaces",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Network/networkInterfaces/myNetworkInterface",
      "location": "centralus",
      "tags": {
        "tag1": "Value1"
      }
    },
    {
      "name": "myVnet",
      "type": "microsoft.network/virtualnetworks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/virtualNetworks/myVnet",
      "location": "westus",
      "tags": {}
    },
    {
      "name": "myPublicIp",
      "type": "microsoft.network/publicipaddresses",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Network/publicIPAddresses/myPublicIp",
      "location": "westus",
      "tags": {}
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

Complex query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | project id, name, type, location | where type =~ 'Microsoft.Compute/virtualMachines' | summarize count() by location | top 3 by count_",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "count_": 11,
      "location": "centralus"
    },
    {
      "count_": 11,
      "location": "eastus"
    },
    {
      "count_": 3,
      "location": "southcentralus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

Filter resources

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | project id, name, type, location | where type =~ 'Microsoft.Compute/virtualMachines' | limit 3",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "name": "myVm1",
      "type": "microsoft.compute/virtualmachines",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Compute/virtualMachines/myVm1",
      "location": "centralus"
    },
    {
      "name": "myVirtualMachine",
      "type": "microsoft.compute/virtualmachines",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Compute/virtualMachines/myVirtualMachine",
      "location": "eastus"
    },
    {
      "name": "testVm",
      "type": "microsoft.compute/virtualmachines",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG3/providers/Microsoft.Compute/virtualMachines/testVm",
      "location": "eastus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

First page query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "options": {
    "$skip": 0,
    "$top": 3
  },
  "query": "Resources | where name contains 'test' | project id, name, type, location",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "$skipToken": "eyAibm8iOiAibHVjayIsICJidXQiOiAibmljZSIsICJ0cnkiOiAiISIgfQ==",
  "count": 3,
  "data": [
    {
      "name": "yetanothertest_OsDisk_1_f396cbcb625a457bb69fe2abf5975820",
      "type": "microsoft.compute/disks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Compute/disks/yetanothertest_OsDisk_1_f396cbcb625a457bb69fe2abf5975820",
      "location": "eastus"
    },
    {
      "name": "TestAA",
      "type": "microsoft.automation/automationaccounts",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Automation/automationAccounts/TestAA",
      "location": "westcentralus"
    },
    {
      "name": "TestRB",
      "type": "microsoft.automation/automationaccounts/runbooks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Automation/automationAccounts/TestAA/runbooks/TestRB",
      "location": "westcentralus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 386
}

Next page query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "options": {
    "$skipToken": "eyAibm8iOiAibHVjayIsICJidXQiOiAibmljZSIsICJ0cnkiOiAiISIgfQ=="
  },
  "query": "Resources | where name contains 'test' | project id, name, type, location",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "$skipToken": "eyAibm8yIjogImx1Y2syIiwgImJ1dDIiOiAibmljZTIiLCAidHJ5MiI6ICIhIiB9",
  "count": 3,
  "data": [
    {
      "name": "second_OsDisk_dddddbcb625a457bb69fe2abf5975820",
      "type": "microsoft.compute/disks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Compute/disks/second_OsDisk_dddddbcb625a457bb69fe2abf5975820",
      "location": "eastus"
    },
    {
      "name": "AATest",
      "type": "microsoft.automation/automationaccounts",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Automation/automationAccounts/AATest",
      "location": "westcentralus"
    },
    {
      "name": "RBTest",
      "type": "microsoft.automation/automationaccounts/runbooks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Automation/automationAccounts/TestAA/runbooks/RBTest",
      "location": "westcentralus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 386
}

Query with a facet request

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "facets": [
    {
      "expression": "location",
      "options": {
        "$top": 3,
        "sortOrder": "desc"
      }
    },
    {
      "expression": "properties.storageProfile.osDisk.osType",
      "options": {
        "$top": 3,
        "sortOrder": "desc"
      }
    },
    {
      "expression": "nonExistingColumn",
      "options": {
        "$top": 3,
        "sortOrder": "desc"
      }
    },
    {
      "expression": "resourceGroup",
      "options": {
        "$top": 3,
        "sortBy": "tolower(resourceGroup)",
        "sortOrder": "asc"
      }
    },
    {
      "expression": "resourceGroup",
      "options": {
        "$top": 3,
        "filter": "resourceGroup contains 'test'"
      }
    }
  ],
  "query": "Resources | where type =~ 'Microsoft.Compute/virtualMachines' | project id, name, location, resourceGroup, properties.storageProfile.osDisk.osType | limit 5",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 5,
  "data": [
    {
      "name": "myTestVm",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/B-TEST-RG/providers/Microsoft.Compute/virtualMachines/myTestVm",
      "location": "eastus",
      "properties_storageProfile_osDisk_osType": "Windows",
      "resourceGroup": "B-TEST-RG"
    },
    {
      "name": "myTestAccountVm",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/c-rg/providers/Microsoft.Compute/virtualMachines/myTestAccountVm",
      "location": "westcentralus",
      "properties_storageProfile_osDisk_osType": "Windows",
      "resourceGroup": "c-rg"
    },
    {
      "name": "yetanothertest",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/I-RG/providers/Microsoft.Compute/virtualMachines/yetanothertest",
      "location": "eastus",
      "properties_storageProfile_osDisk_osType": "Linux",
      "resourceGroup": "I-RG"
    },
    {
      "name": "drafttest1bux4cv7a7q3aw",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/x-test-rg/providers/Microsoft.Compute/virtualMachines/drafttest1bux4cv7a7q3aw",
      "location": "southcentralus",
      "properties_storageProfile_osDisk_osType": "Linux",
      "resourceGroup": "x-test-rg"
    },
    {
      "name": "testvmntp25370",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/y-rg/providers/Microsoft.Compute/virtualMachines/testvmntp25370",
      "location": "eastus",
      "properties_storageProfile_osDisk_osType": "Windows",
      "resourceGroup": "y-rg"
    }
  ],
  "facets": [
    {
      "count": 3,
      "data": [
        {
          "count": 3,
          "location": "eastus"
        },
        {
          "count": 1,
          "location": "southcentralus"
        },
        {
          "count": 1,
          "location": "westcentralus"
        }
      ],
      "expression": "location",
      "resultType": "FacetResult",
      "totalRecords": 3
    },
    {
      "count": 2,
      "data": [
        {
          "count": 2,
          "properties_storageProfile_osDisk_osType": "Linux"
        },
        {
          "count": 3,
          "properties_storageProfile_osDisk_osType": "Windows"
        }
      ],
      "expression": "properties.storageProfile.osDisk.osType",
      "resultType": "FacetResult",
      "totalRecords": 2
    },
    {
      "errors": [
        {
          "code": "NoValidColumns",
          "message": "No valid columns in facet expression."
        },
        {
          "code": "InvalidColumnNames",
          "message": "Invalid column names: [nonExistingColumn]."
        }
      ],
      "expression": "nonExistingColumn",
      "resultType": "FacetError"
    },
    {
      "count": 3,
      "data": [
        {
          "count": 1,
          "resourceGroup": "B-TEST-RG"
        },
        {
          "count": 1,
          "resourceGroup": "c-rg"
        },
        {
          "count": 1,
          "resourceGroup": "I-RG"
        }
      ],
      "expression": "resourceGroup",
      "resultType": "FacetResult",
      "totalRecords": 5
    },
    {
      "count": 2,
      "data": [
        {
          "count": 1,
          "resourceGroup": "B-TEST-RG"
        },
        {
          "count": 1,
          "resourceGroup": "x-test-rg"
        }
      ],
      "expression": "resourceGroup",
      "resultType": "FacetResult",
      "totalRecords": 2
    }
  ],
  "resultTruncated": "false",
  "totalRecords": 5
}

Random page query

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "options": {
    "$skip": 10,
    "$top": 2
  },
  "query": "Resources | where name contains 'test' | project id, name, type, location",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "$skipToken": "eyAibm8iOiAibHVjayIsICJidXQiOiAibmljZSIsICJ0cnkiOiAiISIgfQ==",
  "count": 2,
  "data": [
    {
      "name": "third_OsDisk_dddddbcb625a457bb69fe2abf5975820",
      "type": "microsoft.compute/disks",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG1/providers/Microsoft.Compute/disks/third_OsDisk_dddddbcb625a457bb69fe2abf5975820",
      "location": "eastus"
    },
    {
      "name": "CCTest",
      "type": "microsoft.automation/automationaccounts",
      "id": "/subscriptions/cfbbd179-59d2-4052-aa06-9270a38aa9d6/resourceGroups/RG2/providers/Microsoft.Automation/automationAccounts/CCTest",
      "location": "westcentralus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 386
}

Summarize resources by location

Örnek isteği

POST https://management.azure.com/providers/Microsoft.ResourceGraph/resources?api-version=2024-04-01

{
  "query": "Resources | project id, name, type, location | summarize by location",
  "subscriptions": [
    "cfbbd179-59d2-4052-aa06-9270a38aa9d6"
  ]
}

Örnek yanıt

{
  "count": 3,
  "data": [
    {
      "location": "centralus"
    },
    {
      "location": "eastus"
    },
    {
      "location": "westus"
    }
  ],
  "facets": [],
  "resultTruncated": "false",
  "totalRecords": 3
}

Tanımlar

Name Description
AuthorizationScopeFilter

Hangi aboneliklerin ve yönetim gruplarının kapsam olarak geçirildiğine bağlı olarak hangi yetkilendirme kaynaklarının döndürülmesi gerektiğini tanımlar.

FacetError

Yürütmesi hatayla sonuçlanan model.

FacetRequest

Sorgu sonuçları üzerinden ek istatistikler (modeller) hesaplama isteği.

FacetRequestOptions

Model değerlendirmesi seçenekleri

FacetResult

Sorgunun yanıtıyla ilgili ek istatistikler içeren model başarıyla yürütüldü.

FacetSortOrder

Seçili sütuna göre sıralama düzeni (varsayılan olarak sayı).

QueryRequest

Yürütülecek sorguyu açıklar.

QueryRequestOptions

Sorgu değerlendirme seçenekleri

QueryResponse

Sorgu sonucu.

ResourceGraphCommon.Error

Hata bilgileri.

ResourceGraphCommon.ErrorDetails

Hata ayrıntıları.

ResourceGraphCommon.ErrorResponse

Hata yanıtı.

ResultFormat

Sorgu sonucunun döndürüldiği biçimi tanımlar.

ResultTruncated

Sorgu sonuçlarının kesilip kesilmediğini gösterir.

AuthorizationScopeFilter

Hangi aboneliklerin ve yönetim gruplarının kapsam olarak geçirildiğine bağlı olarak hangi yetkilendirme kaynaklarının döndürülmesi gerektiğini tanımlar.

Değer Description
AtScopeAndBelow

AtScopeAndBelow

AtScopeAndAbove

AtScopeAndAbove

AtScopeExact

AtScopeExact

AtScopeAboveAndBelow

AtScopeAboveAndBelow

FacetError

Yürütmesi hatayla sonuçlanan model.

Name Tür Description
errors

ResourceGraphCommon.ErrorDetails[]

Ayrıntılarıyla algılanan model hataları içeren bir dizi.

expression

string

Model ifadesi, ilgili model isteğinde olduğu gibi.

resultType string:

FacetError

Sonuç türü

FacetRequest

Sorgu sonuçları üzerinden ek istatistikler (modeller) hesaplama isteği.

Name Tür Description
expression

string

Özetleme ölçütü olarak sütun veya sütun listesi

options

FacetRequestOptions

Model değerlendirmesi seçenekleri

FacetRequestOptions

Model değerlendirmesi seçenekleri

Name Tür Default value Description
$top

integer (int32)

minimum: 1
maximum: 1000

Döndürülmesi gereken model satırı sayısı üst sınırı.

filter

string

Asıl modelden hemen önce ana sorgunun sonucunda çalıştırılacak olan 'where' yan tümcesinin filtre koşulunu belirtir.

sortBy

string

Sıralanacak sütun adı veya sorgu ifadesi. Yoksa saymak için varsayılan değerdir.

sortOrder

FacetSortOrder

desc

Seçili sütuna göre sıralama düzeni (varsayılan olarak sayı).

FacetResult

Sorgunun yanıtıyla ilgili ek istatistikler içeren model başarıyla yürütüldü.

Name Tür Description
count

integer (int32)

Model yanıtında döndürülen kayıt sayısı.

data

İstenen modelleri içeren bir JObject dizisi veya Tablosu. Yalnızca model geçerliyse mevcut olur.

expression

string

Model ifadesi, ilgili model isteğinde olduğu gibi.

resultType string:

FacetResult

Sonuç türü

totalRecords

integer (int64)

Model sonuçlarındaki toplam kayıt sayısı.

FacetSortOrder

Seçili sütuna göre sıralama düzeni (varsayılan olarak sayı).

Değer Description
asc

Asc

desc

Açıklama

QueryRequest

Yürütülecek sorguyu açıklar.

Name Tür Description
facets

FacetRequest[]

Sorgu sonucuna göre hesaplanacak model istekleri dizisi.

managementGroups

string[]

Sorgunun yürütülecek Azure yönetim grupları. Örnek: [ 'mg1', 'mg2' ]

options

QueryRequestOptions

Sorgu değerlendirme seçenekleri

query

string

Kaynaklar sorgusu.

subscriptions

string[]

Sorgunun yürütüldiği Azure abonelikleri.

QueryRequestOptions

Sorgu değerlendirme seçenekleri

Name Tür Default value Description
$skip

integer (int32)

minimum: 0

Sonuçların başından atlana satır sayısı. $skipToken özelliği mevcut olduğunda sonraki sayfa uzaklığını geçersiz kılar.

$skipToken

string

Sayfalandırma için devamlılık belirteci, bir sonraki sayfa boyutunu ve uzaklığını ve sorgunun bağlamını yakalar.

$top

integer (int32)

minimum: 1
maximum: 1000

Sorgunun döndürmesi gereken en fazla satır sayısı. $skipToken özelliği mevcut olduğunda sayfa boyutunu geçersiz kılar.

allowPartialScopes

boolean

False

Yalnızca abonelik sayısının izin verilen sınırları aşması durumunda kısmi kapsamlara izin verilip verilmeyeceğine karar veren kiracı ve yönetim grubu düzeyinde sorgular için geçerlidir.

authorizationScopeFilter

AuthorizationScopeFilter

AtScopeAndBelow

Hangi aboneliklerin ve yönetim gruplarının kapsam olarak geçirildiğine bağlı olarak hangi yetkilendirme kaynaklarının döndürülmesi gerektiğini tanımlar.

resultFormat

ResultFormat

objectArray

Sorgu sonucunun döndürüldiği biçimi tanımlar.

QueryResponse

Sorgu sonucu.

Name Tür Description
$skipToken

string

Mevcut olduğunda, sonraki bir sorgu çağrısına (geçerli istekte kullanılan sorgu ve kapsamlarla birlikte) sonraki veri sayfasını almak için değer geçirilebilir.

count

integer (int64)

Geçerli yanıtta döndürülen kayıt sayısı. Sayfalama söz konusu olduğunda, geçerli sayfadaki kayıt sayısıdır.

data

JObject dizisinde veya Tablo biçiminde sorgu çıktısı.

facets Facet[]:

Sorgu modelleri.

resultTruncated

ResultTruncated

Sorgu sonuçlarının kesilip kesilmediğini gösterir.

totalRecords

integer (int64)

Sorguyla eşleşen toplam kayıt sayısı.

ResourceGraphCommon.Error

Hata bilgileri.

Name Tür Description
code

string

Belirli bir hatayı tanımlayan hata kodu.

details

ResourceGraphCommon.ErrorDetails[]

Hata ayrıntıları

message

string

okunabilir bir hata iletisi.

ResourceGraphCommon.ErrorDetails

Hata ayrıntıları.

Name Tür Description
code

string

Belirli bir hatayı tanımlayan hata kodu.

message

string

okunabilir bir hata iletisi.

ResourceGraphCommon.ErrorResponse

Hata yanıtı.

Name Tür Description
error

ResourceGraphCommon.Error

Hata bilgileri.
Hata bilgileri.

ResultFormat

Sorgu sonucunun döndürüldiği biçimi tanımlar.

Değer Description
table

tablo

objectArray

objectArray

ResultTruncated

Sorgu sonuçlarının kesilip kesilmediğini gösterir.

Değer Description
true

doğru

false

false